| Disk ARchive 2.7.14 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
cat_entree.hpp File Reference
Private

base class for all object contained in a catalogue More...

`#include "../my_config.h"`
`#include "infinint.hpp"`
`#include "user_interaction.hpp"`
`#include "pile.hpp"`
`#include "escape.hpp"`
`#include "archive_version.hpp"`
`#include "proto_compressor.hpp"`
`#include "pile_descriptor.hpp"`
`#include "smart_pointer.hpp"`
`#include "entree_stats.hpp"`
`#include "list_entry.hpp"`
`#include "slice_layout.hpp"`
`#include <memory>`

Go to the source code of this file.

## Classes
class | libdar::cat_entree
| the root class from all other inherite for any entry in the catalogue More...

## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Functions
const char * | libdar::cat_entree_signature2string (unsigned char sign)
| convert a signature char to a human readable string

## Detailed Description

base class for all object contained in a catalogue

Definition in file cat_entree.hpp.